"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const antd_1 = require("antd");
const react_1 = __importStar(require("react"));
function CheckHealthServer(props) {
    const [isLoading, setIsLoading] = (0, react_1.useState)(false);
    const [error, setError] = (0, react_1.useState)();
    (0, react_1.useEffect)(() => {
        const interval = setInterval(() => {
            check();
        }, 3000);
        return () => {
            clearInterval(interval);
        };
    }, []);
    const check = () => {
        console.info('check');
        setIsLoading(true);
        props.axiosInstance
            .get(props.url || '/')
            .then(() => {
            setError(undefined);
            setIsLoading(false);
        })
            .catch(() => {
            setError({
                type: 'server',
                message: 'Failed connect to the server. Please reload the page.',
            });
            setIsLoading(false);
        });
    };
    if (!error) {
        return react_1.default.createElement(react_1.default.Fragment, null);
    }
    return (react_1.default.createElement(antd_1.Affix, { offsetTop: 10 },
        isLoading && (react_1.default.createElement(antd_1.Spin, { style: { position: 'absolute', right: 6, top: 6, zIndex: 10 } })),
        react_1.default.createElement(antd_1.Alert, { banner: true, message: error === null || error === void 0 ? void 0 : error.message, type: "error", style: { textAlign: 'center', color: 'red' } })));
}
exports.default = CheckHealthServer;
