"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertTextToRupiah = exports.convertSlugToText = exports.convertHtmlToText = exports.capitalizeFirstLetter = void 0;
const thousandSeparator_1 = __importDefault(require("./thousandSeparator"));
function capitalizeFirstLetter(text) {
    return text.charAt(0).toUpperCase() + text.slice(1);
}
exports.capitalizeFirstLetter = capitalizeFirstLetter;
function convertHtmlToText(htmlText) {
    return htmlText.replace(/<[^>]+>/g, ' ');
}
exports.convertHtmlToText = convertHtmlToText;
function convertSlugToText(slug) {
    let text = slug.split('-').join(' ');
    return capitalizeFirstLetter(text);
}
exports.convertSlugToText = convertSlugToText;
function convertTextToRupiah(text) {
    return `Rp ${(0, thousandSeparator_1.default)(text)}`;
}
exports.convertTextToRupiah = convertTextToRupiah;
